local gui = CrimeNetGui._create_job_gui
function CrimeNetGui:_create_job_gui(data, type, fixed_x, fixed_y, fixed_location)
	local gui_data = gui(self, data, type, fixed_x, fixed_y, fixed_location)
				
	if gui_data.host_id then
		Steam:friend_avatar(0, gui_data.host_id, function(texture)
			if gui_data.host_small_avatar ~= texture then
				gui_data.host_small_avatar = texture
			end
		end)
		
		if not gui_data.server_state_color then
			local in_game = tweak_data:server_state_to_index("in_game")
			local in_lobby = tweak_data:server_state_to_index("in_lobby")
			gui_data.server_state_color = gui_data.state == in_game and Color(255, 163, 209, 93) / 255 or gui_data.state == in_lobby and Color(255, 114, 198, 255) / 255 or Color.white
		end
	end
	
	self:create_hosts_small_avatar(gui_data)
	
	return gui_data
end

function CrimeNetGui:create_hosts_small_avatar(job)
	if job.host_id then
		local texture = "guis/textures/pd2/crimenet_marker_host"
		local marker_dot = job.marker_panel:child("marker_dot")
		
		if job.host_small_avatar then
			job.peers_panel:clear()
			marker_dot:hide()
			
			job.marker_panel:bitmap({color = job.server_state_color, x = 2, y = 2, layer = 2, texture_rect = {0, 0, 32, 2}, texture = texture})
			job.marker_panel:bitmap({color = job.server_state_color, x = 2, y = 4, layer = 2, texture_rect = {0, 2, 2, 30}, texture = texture})
			job.marker_panel:bitmap({color = job.server_state_color, x = 4, y = 31, layer = 2, texture_rect = {2, 29, 30, 9}, texture = texture})
			job.marker_panel:bitmap({color = job.server_state_color, x = 31, y = 2, layer = 2, texture_rect = {29, 0, 3, 29}, texture = texture})
			job.marker_panel:bitmap({
				texture = job.host_small_avatar,
				x = 3,
				y = 3,
				h = 29,
				w = 29,
				alpha = 1,
				layer = 1,
				blend_mode = "normal"
			})
		end
	end
end